org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher

## Class PatternMatcherRootContentKey

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.matcher.PatternMatcherRootContentKey

-     public class PatternMatcherRootContentKey
      extends java.lang.Object

  Instances of this class tie an `IEditorPart` and a `Notifier` together, which belong to a `RootContent` element in the `QueryExplorer`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternMatcherRootContentKey(org.eclipse.ui.IEditorPart editor, org.eclipse.emf.common.notify.Notifier notifier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `org.eclipse.ui.IEditorPart` | `getEditorPart()`
    `AdvancedViatraQueryEngine` | `getEngine()`
    `org.eclipse.emf.common.notify.Notifier` | `getNotifier()`
    `RuleEngine` | `getRuleEngine()`
    `int` | `hashCode()`
    `void` | `setEngine(AdvancedViatraQueryEngine engine)`
    `void` | `setRuleEngine(RuleEngine ruleEngine)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternMatcherRootContentKey

          public PatternMatcherRootContentKey(org.eclipse.ui.IEditorPart editor,
                                              org.eclipse.emf.common.notify.Notifier notifier)

  - ### Method Detail

    - #### getEditorPart

          public org.eclipse.ui.IEditorPart getEditorPart()

    - #### getNotifier

          public org.eclipse.emf.common.notify.Notifier getNotifier()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getEngine

          public AdvancedViatraQueryEngine getEngine()

    - #### setEngine

          public void setEngine(AdvancedViatraQueryEngine engine)

    - #### getRuleEngine

          public RuleEngine getRuleEngine()

    - #### setRuleEngine

          public void setRuleEngine(RuleEngine ruleEngine)